﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.Diagnostics;
using System.Net.Http;
using System.IO;

namespace WebApplication3.Clases
{
    class Logger
    {
        
        private static readonly Logger _instancia = new Logger();
        

        private Logger()
        {

        }

        public static Logger GetInstance() => _instancia;

        public static void WriteLog(string message)
        {
            string path = @"C:\Users\Admin\Desktop\log.txt";

            if (!File.Exists(path))
            {
                // Create a file to write to.
                using (StreamWriter sw = File.CreateText(path))
                {
                    sw.WriteLine(DateTime.Now + " " + message);
                }
            }
            else
            {

                using (StreamWriter sw = File.AppendText(path))
                {
                    sw.WriteLine(DateTime.Now + " " + message);
                }
            }
        }
    }
}
