﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WebApplication3.Models;

namespace WebApplication3.Clases
{
    public class RechargeData
    {
        public RechargeData()
        {
            Rates = new List<TimeSerieInterno>();
        }
        public string Nombre { get; set; }
        public List<TimeSerieInterno> Rates { get; set; }

        public Recarga ToRecarga(uint acuifero,uint simId)
        {
            Recarga recarga = new Recarga();

            recarga.IdAcuifero = acuifero;
            recarga.IdSimulacion = simId;
            recarga.Nombre = this.Nombre;

            return recarga;
        }
    }
}
