﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WebApplication3.Models;

namespace WebApplication3.Clases
{
    //public struct TextRates
    //{
    //    string init;
    //    string finish;
    //    string rate;
    //}
    public class WellData
    {
        public WellData()
        {
            Rates = new List<TimeSerieInterno>();
            //StringRates = new List<TextRates>();
        }

        public bool ActiveFlag { get; set; }
        public string WellName { get; set; }
        public string X { get; set; }
        public string Y { get; set; }
        public string ZMin { get; set; }
        public string ZMax { get; set; }
        public int ScreenIntervals { get; set; }
        public string Bot { get; set; }
        public string Top { get; set; }
        public int PumpPeriods { get; set; }
        
        public List<TimeSerieInterno> Rates { get; set; }
        


        public Pozo ToPozo(uint acuifero, uint simId)
        {
            Pozo p = new Pozo();
            p.IdAquifero = acuifero;
            p.IdSimulacion = simId;
            p.X = this.X;
            p.Y = this.Y;
            //p.Maximo = float.Parse(this.ZMax);
            p.Maximo = ZMax;
            //p.Minimo = float.Parse(this.ZMin);
            p.Minimo = ZMin;
            p.Nombre = this.WellName;
            p.Active = (this.ActiveFlag) ? (uint)1 : (uint)0;
            return p;
        }

        public WellData Copy()
        {
            WellData wellData = new WellData();
            wellData.ActiveFlag = this.ActiveFlag;
            wellData.Bot = this.Bot;
            wellData.PumpPeriods = this.PumpPeriods;
            wellData.Rates = this.Rates;
            return wellData;
        }
    }
}
