﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WebApplication3.Models;

namespace WebApplication3.Clases
{
    public class ZoneConnection
    {
        public uint Id { get; set; }
        public string From { get; set; }
        public string To { get; set; }
        public string Value { get; set; }

        public ZoneConnection()
        {

        }
        public ZoneConnection(ConexionZonasIn connectionIn)
        {
            Id = connectionIn.Id;
            From = connectionIn.From;
            To = connectionIn.To;
            Value = connectionIn.Value;
        }

        public ZoneConnection(ConexionZonasOut connectionOut)
        {
            Id = connectionOut.Id;
            From = connectionOut.From;
            To = connectionOut.To;
            Value = connectionOut.Value;
        }

        public ConexionZonasIn ToConexionIn(uint? idBalanceIn)
        {
            ConexionZonasIn conexionIn = new ConexionZonasIn();
            conexionIn.From = this.From;
            conexionIn.To = this.To;
            conexionIn.Value = this.Value;
            conexionIn.IdDatosBalanceIn = idBalanceIn;

            return conexionIn;
        }

        public ConexionZonasOut ToConexionOut(uint? idBalanceOut)
        {
            ConexionZonasOut conexionOut = new ConexionZonasOut();
            conexionOut.From = this.From;
            conexionOut.To = this.To;
            conexionOut.Value = this.Value;
            conexionOut.IdDatosBalanceOut = idBalanceOut;

            return conexionOut;
        }

    }
}
