﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WebApplication3.Models;

namespace WebApplication3.Clases
{
    public class PiezometerData
    {
        public string Name { get; set; }
        public string X { get; set; }
        public string Y { get; set; }
        public string Z { get; set; }
        public string Prof { get; set; }
        public string Screen_top { get; set; }
        public string Screen_bot { get; set; }
        public List<TimeSerieInterno> Rates { get; set; }


        public Piezometer ToPiezometer()
        {
            Piezometer piezometer = new();
            piezometer.Name = this.Name;
            piezometer.X = this.X;
            piezometer.Y = this.Y;
            piezometer.Z = this.Z;
            piezometer.Prof = this.Prof;
            piezometer.ScreenTop = this.Screen_top;
            piezometer.ScreenBot = this.Screen_bot;

            return piezometer;
        }
    }
}
